Skip to main content
GET
/
v1
/
observe
/
drift
List Drift Reports
curl --request GET \
  --url https://api.example.com/v1/observe/drift
import requests

url = "https://api.example.com/v1/observe/drift"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/v1/observe/drift', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "reports": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "baseline_report_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "current_report_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "severity": "<string>",
      "drift_scores": {
        "overall_delta": 123,
        "baseline_overall": 123,
        "current_overall": 123,
        "coverage_delta": 123,
        "physics_delta": 123,
        "distribution_delta": 123,
        "sim_to_real_delta": 123
      },
      "error": "<string>",
      "completed_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Headers

authorization
string | null

Query Parameters

dataset_id
string<uuid> | null
limit
integer
default:20
Required range: x <= 100
offset
integer
default:0

Response

Successful Response

reports
DriftReportResponse · object[]
required
total
integer
required